import * as $dara from '@darabonba/typescript';
import { AttachInstanceRamRoleResponseBody } from "./AttachInstanceRamRoleResponseBody";
export declare class AttachInstanceRamRoleResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AttachInstanceRamRoleResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
